Subject: bug#76697: closed (Re: bug#76697: gdk-pixbuf GDK_PIXBUF_MODULE_FILES search path breaks some packages)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 Mar 2025 04:56:03 +0000

Your bug report

#76697: gdk-pixbuf GDK_PIXBUF_MODULE_FILES search path breaks some packages

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76697: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76697
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76697: gdk-pixbuf GDK_PIXBUF_MODULE_FILES search path breaks some packages
From: 宋文武 <[email-masked]>
To: Morgan Smith <[email-masked]>
Cc: Vivien Kraus <[email-masked]>,宋文武 <[email-masked]>, [email-masked], Maxim Cournoyer <[email-masked]>
Date: Mon, 03 Mar 2025 12:59:16 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Morgan Smith <[email-masked]> writes:

> I tried to reopen this bug instead of making a new one but I guess it's
> archived or something? bug#75795
>
> Changing the search-path-specification of gdk-pixbuf has broken the
> build of transmission as this phase now errors out:
>
> =========
> (wrap-program (string-append #$output:gui "/bin/transmission-gtk")
>   ;; Wrapping GDK_PIXBUF_MODULE_FILE allows Transmission to load
>   ;; its own icons in pure environments.
>   `("GDK_PIXBUF_MODULE_FILE" =
>     (,(getenv "GDK_PIXBUF_MODULE_FILE"))))
> =========
>
> Doing a quick search it looks like there at least 10 packages that need
> to be adjusted

Hello, I had pushed fixes for transmission and xournalpp.  Other using
glib-or-gtk or meson build system still works as GDK_PIXBUF_MODULE_FILE
was set in the generate-gdk-pixbuf-loaders-cache-file phase.

Wrap binaries with GUIX_GDK_PIXBUF_MODULE_FILES is not ideal currently,
since it would contain duplicated loaders from cache files.  After we
remove the generate-gdk-pixbuf-loaders-cache-file phase, we can wrap
with GUIX_GDK_PIXBUF_MODULE_FILES, which should mostly only contains
gdk-pixbuf and librsvg.

Thanks.

Subject: gdk-pixbuf GDK_PIXBUF_MODULE_FILES search path breaks some packages
From: Morgan Smith <[email-masked]>
To: [email-masked]
Date: Sun, 02 Mar 2025 19:57:47 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I tried to reopen this bug instead of making a new one but I guess it's
archived or something? bug#75795

Changing the search-path-specification of gdk-pixbuf has broken the
build of transmission as this phase now errors out:

=========
(wrap-program (string-append #$output:gui "/bin/transmission-gtk")
  ;; Wrapping GDK_PIXBUF_MODULE_FILE allows Transmission to load
  ;; its own icons in pure environments.
  `("GDK_PIXBUF_MODULE_FILE" =
    (,(getenv "GDK_PIXBUF_MODULE_FILE"))))
=========

Doing a quick search it looks like there at least 10 packages that need
to be adjusted